%%Load Seasonal Dumps
%afaict the fifth column isn't used in the program. 
%Columns are (year) (summer) (extreme_summer) (winter) (average_power)
function content = load_seasonal_dump(filename)
content = load(filename); %You may want to specify delimter here or other parameters to ensure robustness, but not needed as is.
content(:,2:5) = content(:,2:5)/1000;
%dumpnames = {'year' 'summer_peak' 'extreme_summer_peak' 'winter_peak' %'average_power'};

%Manual Method - Needs to be changed if ref_year changes. Messy, but maybe
%less messy than carrying ref_year though all functions
if content(size(content,1),1)>2008
    content(size(content,1),2)=NaN;     
    content(size(content,1),3)=NaN;
    content(size(content,1),4)=NaN;
    content(size(content,1),5)=NaN;
end

%Automatic Method
%This loop just checks which values we have sufficient data for. Average
%yearly power needs all records. Winter Peak needs all winter periods.
%summer peak needs all summer periods (== all periods). extreme summer
%needs first two months of year.

% for i = 1:size(content,1)
%     if(content(i,9) < 17500)
%         content(i,5) = NaN;
%         content(i,2) = NaN;
%     end
%     if(content(i,9) < 14112)
%         content(i,4) = NaN;
%     end
%     if(content(i,9) < 2880)
%         content(i,3) = NaN;
%     end
% end

content = content(:,1:5);
%x=struct('year',content(:,1),'summer_peak',content(:,2),'extreme_summer_peak',content(:,3),'winter_peak',content(:,4),'average_power',content(:,5));

end

