function p = polyfitweighted(x,y,n,w)

%I got this from the mathworks code depository. I have no idea about
%licensing issues, but it's not like there's anything in here that I didn't
%learn in linear algebra clases.

if ~isequal(size(x),size(y),size(w))
    error('X and Y vectors must be the same size.')
end

x = x(:);
y = y(:);
w = w(:);


% Construct weighted Vandermonde matrix.
%V(:,n+1) = ones(length(x),1,class(x));
V(:,n+1) = w;
for j = n:-1:1
   V(:,j) = x.*V(:,j+1);
end

% Solve least squares problem.
[Q,R] = qr(V,0);
p = R\(Q'*(w.*y));    % Same as p = V\(w.*y);

