function dump_predictions(predict_results,regress_results,filename)
actual_peaks=regress_results{7};
actual_years=regress_results{3};
predicted_years=predict_results(:,1);
expected_peaks=predict_results(:,5);
maximum_likely_peak=predict_results(:,6);
to_dump = [actual_years; predicted_years];
all_years = unique(to_dump);
%I do this slightly differently from the R-method. I'm growing the actual
%peaks bottom up. And growing the expected peaks top down (kinda).
%This also takes care of the next step by adding in the "and" conditional
for i = 1:size(all_years,1)
    if i <= length(actual_peaks)
        dump_actual_peak(i) = actual_peaks(i);
    else
        dump_actual_peak(i) = NaN;
    end
    if (i>length(all_years)-length(expected_peaks)) && (i>length(actual_peaks))
        dump_expected_peak(i) = expected_peaks(i-(length(all_years)-length(expected_peaks)));
        dump_maximum_peak(i) = maximum_likely_peak(i-(length(all_years)-length(expected_peaks)));
    else
        dump_expected_peak(i) = NaN;
        dump_maximum_peak(i) = NaN;
    end
end
all_dumps = [all_years dump_actual_peak(:) dump_expected_peak(:) dump_maximum_peak(:)];
%writing as a csv here. I find it's the most workable built in write
%function, if needed can use write and specify all parameters
csvwrite(filename,all_dumps);

