function historic_result = load_all_seasonal_dumps(directory)
historic_result = cell(21,1);
names_historic = {'Auckland', 'BayOfPlenty', 'Canterbury', 'Central','HawkesBay','NelsonMarlborough','NorthIsthmus','OtagoSouthland','SouthCanterbury','Taranaki','Waikato','Wellington','WestCoast','uni','lni','lsi','usi','ni','si','all','tiwai'};
for i = 1:size(names_historic,2)
     this_region = names_historic{i};
     if  strcmp(this_region,'tiwai') == 0
     historic_result{i} = load_seasonal_dump(strcat(directory,'seasonal_peaks_',this_region,'.txt'));
     else
     tiwai_regions = {'OtagoSouthland','all','lsi','si'};
     tiwai_result = cell(4,1);
     for j = 1:size(tiwai_regions,2)
         this_tiwai_region = tiwai_regions{j};
         tiwai_result{j} = load_seasonal_dump(strcat(directory,'seasonal_peaks_',this_tiwai_region,'_actual_tiwai.txt'));
     end
     historic_result{i} = tiwai_result; 
    
     end
 end
end
