%%Load one energy forecast
function energy_result = load_one_energy_forecast(filename)
energydata = importdata(filename, '\t', 1);
energydata = energydata.data;
energy_mean = mean(energydata(:,2:size(energydata,2)),2); %vectorwise operation
yearold = energydata(:,1);
%The correction for different year periods occurs here
energy_result = [yearold-1 energy_mean energydata(:,2:size(energydata,2))];
%average the first year's data, since it should be known. Perhaps link this
%to reference year somehow? Needs Looking at.
energy_result(1,2:size(energy_result,2))=mean(energy_result(1,:));
end




